Bug 233181 - sysutils/graylog: Update to 2.4.6
Summary: sysutils/graylog: Update to 2.4.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL: https://reviews.freebsd.org/D17965
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-12 21:20 UTC by Dave Cottlehuber
Modified: 2018-12-15 00:57 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (thomas)


Attachments
svn diff (974 bytes, text/plain)
2018-11-12 21:20 UTC, Dave Cottlehuber
no flags Details
v2 diff (32.80 KB, patch)
2018-11-14 10:53 UTC, Dave Cottlehuber
no flags Details | Diff
v1 patch for updating (692 bytes, patch)
2018-12-13 20:39 UTC, Dave Cottlehuber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2018-11-12 21:20:54 UTC
Created attachment 199185 [details]
svn diff
Comment 1 Dave Cottlehuber freebsd_committer 2018-11-14 10:53:22 UTC
Created attachment 199230 [details]
v2 diff

- update to 2.4.6
- use templating to manage graylog_logging.xml config
- update mentioned dependencies in pkg-message.in
- update server.conf from 2.4.6 source extract
- re-import FreeBSD ports variables into server.conf.in

NB it looks like that 2.4.6 is not a simple `pkg upgrade -YOLO` from previous
versions, in particular the node-id path needs to be specified correctly, and
will almost certainly not be in /etc/graylog/ I'd like some feedback on what
we should do here, I think amending pkg-message.in and possibly /UPDATING
would be useful.
Comment 2 Jochen Neumeister freebsd_committer 2018-11-28 12:18:07 UTC
Alloah Dave :-)

now we have a Maintainer timeout, and today i will commit it.
What to you think, we can wirte into UPDATING?

The build looks good for me, i've tested in poudriere.
Comment 3 Marie Helene Kvello-Aune 2018-12-08 18:55:05 UTC
I've applied this patch to $dayjob's internal ports tree using portshaker. poudriere testport is happy, and the package builds. We've not managed to actually test it yet.

We've tried to get a hold of maintainer for a a while but not gotten a response, and e-mail has begun failing to deliver recently.
Comment 4 Eirik Oeverby 2018-12-08 22:29:45 UTC
(In reply to Marie Helene Kvello-Aune from comment #3)

Tested and working fine in our setup.

/Eirik
Comment 5 Dave Cottlehuber freebsd_committer 2018-12-13 20:39:50 UTC
Created attachment 200090 [details]
v1 patch for updating

works fine here too. I have a couple further changes and then I think we
are ready to commit.

- I don't believe all the java logging xml files are still needed - please check and confirm back for your environment if you can remove one of them
- the config files have changed a reasonable amount
- I added a short diff for updating text, I think it's sufficient.

Once I've got feedback on the above I'll merge any changes into the diff in phabricator, lets keep things in one place.
Comment 6 Dave Cottlehuber freebsd_committer 2018-12-13 20:42:50 UTC
see phab URL for latest patches https://reviews.freebsd.org/D17965
Comment 7 commit-hook freebsd_committer 2018-12-15 00:53:41 UTC
A commit references this bug:

Author: joneum
Date: Sat Dec 15 00:52:52 UTC 2018
New revision: 487477
URL: https://svnweb.freebsd.org/changeset/ports/487477

Log:
  sysutils/graylog:  update to 2.4.6

  - use templating to manage graylog_logging.xml config
  - update mentioned dependencies in pkg-message.in
  - update server.conf from 2.4.6 source extract
  - re-import FreeBSD ports variables into server.conf.in

  PR:		233181
  Submitted by:	dch
  Approved by:	thomas@bartelmess.io (maintainer timeout)
  Sponsored by:	Netzkommune GmbH
  Differential Revision:	https://reviews.freebsd.org/D17965

Changes:
  head/UPDATING
  head/sysutils/graylog/Makefile
  head/sysutils/graylog/distinfo
  head/sysutils/graylog/files/graylog_logging.xml
  head/sysutils/graylog/files/graylog_logging.xml.in
  head/sysutils/graylog/files/pkg-message.in
  head/sysutils/graylog/files/server.conf.in